org.bouncycastle.asn1.cryptopro

## Class ECGOST3410NamedCurves

- java.lang.Object
- - org.bouncycastle.asn1.cryptopro.ECGOST3410NamedCurves

    public class ECGOST3410NamedCurves
    extends java.lang.Object

table of the available named parameters for GOST 3410-2001.

### Constructor Summary

Constructors
Constructor and Description
`ECGOST3410NamedCurves()`

### Method Summary

Methods
`static ECDomainParameters` `getByName(java.lang.String name)`
`static ECDomainParameters` `getByOID(DERObjectIdentifier oid)` return the ECDomainParameters object for the given OID, null if it isn't present.
`static java.lang.String` `getName(DERObjectIdentifier oid)` return the named curve name represented by the given object identifier.
`static java.util.Enumeration` `getNames()` returns an enumeration containing the name strings for parameters contained in this structure.
`static DERObjectIdentifier` `getOID(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECGOST3410NamedCurves

    public ECGOST3410NamedCurves()

### Method Detail

#### getByOID

    public static ECDomainParameters getByOID(DERObjectIdentifier oid)

return the ECDomainParameters object for the given OID, null if it isn't present.

Parameters:
  `oid` - an object identifier representing a named parameters, if present.

#### getNames

    public static java.util.Enumeration getNames()

returns an enumeration containing the name strings for parameters contained in this structure.

#### getByName

    public static ECDomainParameters getByName(java.lang.String name)

#### getName

    public static java.lang.String getName(DERObjectIdentifier oid)

return the named curve name represented by the given object identifier.

#### getOID

    public static DERObjectIdentifier getOID(java.lang.String name)